Bug 464500 - RHEL5: memmap=X$Y option doesn't yield new BIOS map
RHEL5: memmap=X$Y option doesn't yield new BIOS map
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
i386 Linux
medium Severity medium
: rc
: ---
Assigned To: Prarit Bhargava
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-29 09:22 EDT by Prarit Bhargava
Modified: 2010-10-23 00:49 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:52:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RHEL5 fix for this issue (1.52 KB, patch)
2008-09-29 09:44 EDT, Prarit Bhargava
no flags Details | Diff

  None (edit)
Description Prarit Bhargava 2008-09-29 09:22:41 EDT
Description of problem:

A new BIOS map isn't created when specifying X$Y boot parameter.  The new region is only appended to the existing map.

Version-Release number of selected component (if applicable): 2.6.18-116.el5


How reproducible: 100%


Steps to Reproduce:
1. Install latest RHEL5
2. Boot with X$Y option
  
Actual results:

On dell-pesc430-02.rhts.bos.redhat.com

Sep 29 08:28:47 dell-pesc430-02 kernel: BIOS-provided physical RAM map:
Sep 29 08:28:47 dell-pesc430-02 kernel:  BIOS-e820: 0000000000000000 - 00000000000a0000 (usable)
Sep 29 08:28:47 dell-pesc430-02 kernel:  BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
Sep 29 08:28:47 dell-pesc430-02 kernel:  BIOS-e820: 0000000000100000 - 000000003fe8cc00 (usable)
Sep 29 08:28:47 dell-pesc430-02 kernel:  BIOS-e820: 000000003fe8cc00 - 000000003fe8ec00 (ACPI NVS)
Sep 29 08:28:47 dell-pesc430-02 kernel:  BIOS-e820: 000000003fe8ec00 - 000000003fe90c00 (ACPI data)
Sep 29 08:28:47 dell-pesc430-02 kernel:  BIOS-e820: 000000003fe90c00 - 0000000040000000 (reserved)
Sep 29 08:28:47 dell-pesc430-02 kernel:  BIOS-e820: 00000000f0000000 - 00000000f4000000 (reserved)
Sep 29 08:28:47 dell-pesc430-02 kernel:  BIOS-e820: 00000000fec00000 - 00000000fed00400 (reserved)
Sep 29 08:28:47 dell-pesc430-02 kernel:  BIOS-e820: 00000000fed20000 - 00000000feda0000 (reserved)
Sep 29 08:28:47 dell-pesc430-02 kernel:  BIOS-e820: 00000000fee00000 - 00000000fef00000 (reserved)
Sep 29 08:28:47 dell-pesc430-02 kernel:  BIOS-e820: 00000000ffb00000 - 0000000100000000 (reserved)
Sep 29 08:28:47 dell-pesc430-02 kernel: user-defined physical RAM map:
Sep 29 08:28:47 dell-pesc430-02 kernel:  user: 0000000000000000 - 00000000000a0000 (usable)
Sep 29 08:28:47 dell-pesc430-02 kernel:  user: 00000000000f0000 - 0000000000100000 (reserved)
Sep 29 08:28:47 dell-pesc430-02 kernel:  user: 0000000000100000 - 000000003fe8cc00 (usable)
Sep 29 08:28:47 dell-pesc430-02 kernel:  user: 000000003fe8cc00 - 000000003fe8ec00 (ACPI NVS)
Sep 29 08:28:47 dell-pesc430-02 kernel:  user: 000000003fe8ec00 - 000000003fe90c00 (ACPI data)
Sep 29 08:28:47 dell-pesc430-02 kernel:  user: 000000003fe90c00 - 0000000048000000 (reserved)
Sep 29 08:28:47 dell-pesc430-02 kernel:  user: 00000000f0000000 - 00000000f4000000 (reserved)
Sep 29 08:28:47 dell-pesc430-02 kernel:  user: 00000000fec00000 - 00000000fed00400 (reserved)
Sep 29 08:28:47 dell-pesc430-02 kernel:  user: 00000000fed20000 - 00000000feda0000 (reserved)
Sep 29 08:28:47 dell-pesc430-02 kernel:  user: 00000000fee00000 - 00000000fef00000 (reserved)
Sep 29 08:28:47 dell-pesc430-02 kernel:  user: 00000000ffb00000 - 0000000100000000 (reserved)
Sep 29 08:28:47 dell-pesc430-02 kernel:  user: 0000000040000000 - 0000000048000000 (reserved)   <<< new region appended.



Expected results:

Sep 29 09:11:52 dell-pesc430-02 kernel: Linux version 2.6.18.4 (root@dell-pesc430-02.rhts.bos.redhat.com) (gcc version 4.1.2 20071124 (Red Hat 4.1.2-42)) #32 SMP Mon Sep 29 09:09:21 EDT 2008
Sep 29 09:11:52 dell-pesc430-02 kernel: BIOS-provided physical RAM map:
Sep 29 09:11:52 dell-pesc430-02 kernel:  BIOS-e820: 0000000000000000 - 00000000000a0000 (usable)
Sep 29 09:11:52 dell-pesc430-02 kernel:  BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
Sep 29 09:11:52 dell-pesc430-02 kernel:  BIOS-e820: 0000000000100000 - 000000003fe8cc00 (usable)
Sep 29 09:11:52 dell-pesc430-02 kernel:  BIOS-e820: 000000003fe8cc00 - 000000003fe8ec00 (ACPI NVS)
Sep 29 09:11:52 dell-pesc430-02 kernel:  BIOS-e820: 000000003fe8ec00 - 000000003fe90c00 (ACPI data)
Sep 29 09:11:52 dell-pesc430-02 kernel:  BIOS-e820: 000000003fe90c00 - 0000000040000000 (reserved)
Sep 29 09:11:52 dell-pesc430-02 kernel:  BIOS-e820: 00000000f0000000 - 00000000f4000000 (reserved)
Sep 29 09:11:52 dell-pesc430-02 kernel:  BIOS-e820: 00000000fec00000 - 00000000fed00400 (reserved)
Sep 29 09:11:52 dell-pesc430-02 kernel:  BIOS-e820: 00000000fed20000 - 00000000feda0000 (reserved)
Sep 29 09:11:52 dell-pesc430-02 kernel:  BIOS-e820: 00000000fee00000 - 00000000fef00000 (reserved)
Sep 29 09:11:52 dell-pesc430-02 kernel:  BIOS-e820: 00000000ffb00000 - 0000000100000000 (reserved)
Sep 29 09:11:52 dell-pesc430-02 kernel: user-defined physical RAM map:
Sep 29 09:11:52 dell-pesc430-02 kernel:  user: 0000000000000000 - 00000000000a0000 (usable)
Sep 29 09:11:52 dell-pesc430-02 kernel:  user: 00000000000f0000 - 0000000000100000 (reserved)
Sep 29 09:11:52 dell-pesc430-02 kernel:  user: 0000000000100000 - 000000003fe8cc00 (usable)
Sep 29 09:11:52 dell-pesc430-02 kernel:  user: 000000003fe8cc00 - 000000003fe8ec00 (ACPI NVS)
Sep 29 09:11:52 dell-pesc430-02 kernel:  user: 000000003fe8ec00 - 000000003fe90c00 (ACPI data)
Sep 29 09:11:52 dell-pesc430-02 kernel:  user: 000000003fe90c00 - 0000000048000000 (reserved)  <<< new region _included_
Sep 29 09:11:52 dell-pesc430-02 kernel:  user: 00000000f0000000 - 00000000f4000000 (reserved)
Sep 29 09:11:52 dell-pesc430-02 kernel:  user: 00000000fec00000 - 00000000fed00400 (reserved)
Sep 29 09:11:52 dell-pesc430-02 kernel:  user: 00000000fed20000 - 00000000feda0000 (reserved)
Sep 29 09:11:52 dell-pesc430-02 kernel:  user: 00000000fee00000 - 00000000fef00000 (reserved)
Sep 29 09:11:52 dell-pesc430-02 kernel:  user: 00000000ffb00000 - 0000000100000000 (reserved)
Comment 1 Prarit Bhargava 2008-09-29 09:26:21 EDT
It must be noted that the memmap options are typically used with memmap=exactmap.

The customer initially reported that

He tried it with 2.6.18-98.el5 kernel specified memmap=1G
memmap=128M$0x100000.

<snip>
kernel:  BIOS-e820: 0000000000000000 - 000000000009f400 (usable)
kernel:  BIOS-e820: 000000000009f400 - 00000000000a0000 (reserved)
kernel:  BIOS-e820: 00000000000e8000 - 0000000000100000 (reserved)
kernel:  BIOS-e820: 0000000000100000 - 000000003fff5000 (usable)
kernel:  BIOS-e820: 000000003fff5000 - 0000000040000000 (reserved)
kernel:  BIOS-e820: 00000000fec00000 - 0000000100000000 (reserved)
kernel: user-defined physical RAM map:
kernel:  user: 0000000000000000 - 000000000009f400 (usable)
kernel:  user: 000000000009f400 - 00000000000a0000 (reserved)
kernel:  user: 00000000000e8000 - 0000000000100000 (reserved)
kernel:  user: 0000000000100000 - 000000003fff5000 (usable)
kernel:  user: 000000003fff5000 - 0000000040000000 (reserved)
kernel:  user: 00000000fec00000 - 0000000100000000 (reserved)
kernel:  user: 0000000000100000 - 0000000008100000 (reserved)
<snip>

didn't work.  After conversations with vgoyal, memmap=1G should only be used as part of the memmap=exactmap options.

However, memmap=X$Y *should* work if the parameter is correctly specified on the command line.
Comment 2 Prarit Bhargava 2008-09-29 09:44:41 EDT
Created attachment 317981 [details]
RHEL5 fix for this issue
Comment 3 RHEL Product and Program Management 2009-02-02 22:39:16 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 RHEL Product and Program Management 2009-02-16 10:32:34 EST
Updating PM score.
Comment 5 Don Zickus 2009-02-23 15:01:58 EST
in kernel-2.6.18-132.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 7 Chris Ward 2009-07-03 14:09:45 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 10 errata-xmlrpc 2009-09-02 04:52:00 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.